Bug 864129 - Document more convinient way of installing Agent Plug-in Packs
Document more convinient way of installing Agent Plug-in Packs
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 12:39 EDT by Filip Brychta
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:32:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-10-08 12:39:50 EDT
Description of problem:
There is a description of installing Agent Plug-in Packs in https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Installation_Guide/installing-plugins.html but there exists a simpler way how to do that (especially when installing a new JON server).

The simplest way how to install Agent Plug-in Packs when installing a new JON server should be:
1- before starting JON server, copy desired plugin jars to $JON_SERVER_HOME/plugins
2- start JON server and continue with installation procedure


When installing Agent Plug-in Packs and JON server is already running following scenario is possible:
1- copy desired plugin jars to $JON_SERVER_HOME/plugins
2- go to Administration->Agent plugins->Scan for updates
3- update plugins on agent via agent's prompt command 'plugins update' or invoke operation 'Update all plugins' on RHQ Agent resource

Steps 2 and 3 should be optional, operations 'Scan for updates' and 'Update all plugins' are scheduled periodically (must be confirmed by someone from developement and default period must be confirmed as well )
Comment 1 Deon Ballard 2013-02-28 19:32:19 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.